Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007915opensim[REGION] Specific OpenSim Modulepublic2016-06-03 20:392019-02-06 11:30
ReporterMandarinka Tasty 
Assigned ToDiva 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformUnix, WinOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0007915: Objects are not set to the group, when they are rezzed or created
DescriptionHello !

I have found problem: that objects are not set to the avatar's group,

when they are rezzed or created in 0.9.0 versions.

Other residents also confirm this issue.

I have found and isolated reason of this situation.

Problem exists in GroupsModule.cs file.


When avatar logs in the region then, everything in problematic thing, work as

it should.

But when this avatar teleports itself to region running on 0.9.0 version

then OnMakeRoot does not update avatar's group at all !

And in this way, all created and rezzed objects are not set to the avatar's

group at all.

That is really serious major issue that requires fixing.

Objects should always inherit avatar's group, that is one of assumption

of security and management prims in the region.
Steps To ReproduceI have found comment in a file:

" // we should send a DataUpdate here for compatibility,
            // but this is a bad place and a bad thread to do it
            // also current viewers do ignore it and ask later on a much nicer thread "


Well I agree that maybe it should be done in other way, but withotu this

DataUpdate, objects are not set to the group.


I have added line:

SendAgentGroupDataUpdate(sp.ControllingClient);


and compiled simulator and tested it, It works now.

But i do not publish patch, because i think it can be done better.

Let developers express their opinions.

 I added this line to file:


...\OpenSim\Region\OptionalModules\Avatar\XmlRpcGroups\GroupsModule.cs


to make test in OSGrid, that works with XMLRPC Groups


Regards
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux64
Mono Versiontrunk
Viewer
Attached Filespatch file icon 0001-Fix-of-SendAgentGroupDataUpdate-for-XmlRpcGroups.patch [^] (1,289 bytes) 2016-06-12 15:34 [Show Content]

- Relationships
related to 0007920closeddanbanner Joined group does not display in viewer until after a relog 

-  Notes
(0030407)
Mandarinka Tasty (reporter)
2016-06-03 21:10
edited on: 2016-06-03 21:11

Again me :)

I have been told about certain examplificaiton of situation, where this updating

makes really serious difference.

Dan Banner has announced me about so called "door problem":

When we use object = door with script that includes: llDetectedGroup function

then in actual os 0.9.0, when we rezz new door,

script does not recognise our group, to make it work:

we need to re-wear our group's tag, to force simulator update data.

So it only shows, that fixing this UpdateData in onMakeRoot,

is really necessary.

With my line:

SendAgentGroupDataUpdate(sp.ControllingClient);

it cures problems, but because developers claim in the code,

that it should be done better, we need to wait for an official statement.

(0030453)
Robert Adams (administrator)
2016-06-11 12:47

I restored the SendAgentGroupUpdate to master. Fixed?
(0030456)
danbanner (manager)
2016-06-11 13:46

tested and works as expected :) Thanks
(0030458)
Diva (administrator)
2016-06-12 07:07

I thought that osgrid was using the old groups module, no?
(0030460)
danbanner (manager)
2016-06-12 07:16
edited on: 2016-06-12 07:20

Ahh, this is still an issue when a group invite is sent. Searching and joining a group seems to work fine and rezzing in active group seems good.

(0030472)
Mandarinka Tasty (reporter)
2016-06-12 15:34

OSGrid groups work in this way:

[Groups]

Enabled = true

Module = GroupsModule <-- This module can use a PHP XmlRpc server from the Flotsam project

ServicesConnectorModule = XmlRpcGroupsServicesConnector

GroupsServerURI = "http://groups.osgrid.org/xmlrpc.php" [^]

etc.


It is absolutely enough ( for regions located in OSGRID ) to modify


this file: \OpenSim\Region\OptionalModules\Avatar\XmlRpcGroups\GroupsModule.cs


not this: /OpenSim/Addons/Groups/GroupsModule.cs !

can you precisely and logically explain changings in /OpenSim/Addons/Groups/GroupsModule.cs ?


Problem that has been introduced in this mantis is related to OnMakeRoot only !!

not for OnNewClient !!!
(0030534)
Mandarinka Tasty (reporter)
2016-06-15 11:32

Version: OpenSim 0.9.0.0 Dev OSgrid 0.9.0.0 (Dev) e0a82a8: 2016-06-14 (SIMULATION/0.3 - SIMULATION/0.6)


Still rezzed objects are not set to the group that avatar has activated.

And i want to explain once again:

Problem is not when you log in and rezz,

but problem is when you teleport avatar and then rezz !

Simply saying: Problem exists in OnMakeRoot and not in OnNewClient !

And it must be also remembered that OSGrid uses: XmlRpcGroups !!


I have attached the patch.
(0030535)
Mandarinka Tasty (reporter)
2016-06-15 11:34
edited on: 2016-06-15 11:49

Robert Adams restored it but not in proper place in my opinion.

There was not any problem with setting group on rezzed objects, when avatar

just logged in.

Problem only concerned and concerns situation:

avatar teleports itself to other region and then rezzes or creates object.

SendAgentGroupUpdate does not work after teleportation.


Please verify my patch, compile and test it.

(0030584)
Diva (administrator)
2016-06-19 15:17

[15:16] <cia-opensim> opensim: diva * rd51fe01ed88a OpenSim/Region/OptionalModules/Avatar/XmlRpcGroups (GroupsModule.cs):
[15:16] <cia-opensim> Mantis 0007915: bring XmlRpcGroups/GroupsModule.cs up to speed with Groups V2

Mandarinka: I didn't use your patch, because I wanted to bring MisterBlue's comment too.
(0030586)
Mandarinka Tasty (reporter)
2016-06-19 16:53

No problem Diva :) The important is to make it work correctly.
(0030604)
Diva (administrator)
2016-06-20 10:23

I believe this has been fixed, yes?
(0030605)
Mandarinka Tasty (reporter)
2016-06-20 11:19

Yes, I confirm it works in both situations:

OnNewClient = avatar logs in and rezzes object

and

OnMakeRoot = avatar teleports itself to next region and rezzes object

Rezzed / Created objects properly inherit avatar's activated group =

correctly set to this group.

I have verified it against last OSGrid release:

OSgrid 0.9.0.0 (Dev) 8d99fe0
(0030606)
Diva (administrator)
2016-06-20 11:54

As per reported
(0034516)
BillBlight (developer)
2019-02-06 11:30

Marked as Resolved but never closed, can be reopened if needed.

- Issue History
Date Modified Username Field Change
2016-06-03 20:39 Mandarinka Tasty New Issue
2016-06-03 21:10 Mandarinka Tasty Note Added: 0030407
2016-06-03 21:11 Mandarinka Tasty Note Edited: 0030407 View Revisions
2016-06-03 21:15 Mandarinka Tasty Description Updated View Revisions
2016-06-05 23:28 Mandarinka Tasty Run Mode Grid (Multiple Regions per Sim) => Grid (1 Region per Sim)
2016-06-11 12:47 Robert Adams Note Added: 0030453
2016-06-11 13:46 danbanner Note Added: 0030456
2016-06-12 07:07 Diva Note Added: 0030458
2016-06-12 07:10 danbanner Note Added: 0030459
2016-06-12 07:15 danbanner Note Deleted: 0030459
2016-06-12 07:16 danbanner Note Added: 0030460
2016-06-12 07:20 danbanner Note Edited: 0030460 View Revisions
2016-06-12 15:34 Mandarinka Tasty File Added: 0001-Fix-of-SendAgentGroupDataUpdate-for-XmlRpcGroups.patch
2016-06-12 15:34 Mandarinka Tasty Note Added: 0030472
2016-06-12 15:34 Mandarinka Tasty Status new => patch included
2016-06-15 11:32 Mandarinka Tasty Note Added: 0030534
2016-06-15 11:34 Mandarinka Tasty Note Added: 0030535
2016-06-15 11:49 Mandarinka Tasty Note Edited: 0030535 View Revisions
2016-06-19 15:17 Diva Note Added: 0030584
2016-06-19 15:20 Diva Relationship added related to 0007920
2016-06-19 16:53 Mandarinka Tasty Note Added: 0030586
2016-06-20 10:23 Diva Note Added: 0030604
2016-06-20 11:19 Mandarinka Tasty Note Added: 0030605
2016-06-20 11:54 Diva Note Added: 0030606
2016-06-20 11:54 Diva Status patch included => resolved
2016-06-20 11:54 Diva Resolution open => fixed
2016-06-20 11:54 Diva Assigned To => Diva
2019-02-06 11:30 BillBlight Note Added: 0034516
2019-02-06 11:30 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker